Adobe Reader és Acrobat többszörös sebezzhetősége

CH azonosító

CH-317

Felfedezés dátuma

2007.01.02.

Súlyosság

Közepes

Érintett rendszerek

Acrobat
Acrobat Elements
Acrobat Reader
Adobe
Reader

Érintett verziók

Adobe Acrobat 3.x - 7.x, 3D 8.x
Adobe Acrobat Elements 6.x, 7.x
Adobe Acrobat Reader 3.x - 5.x
Adobe Reader 6.x, 7.x

Összefoglaló

Az Adobe Reader több sebezhetőségét fedezték fel, amiket kihasználva támadók cross-site scripting és cross-site request forgery támadást indíthatnak, vagy föltörhetik a felhasználó rendszerét.

Leírás

Az Adobe Reader több sebezhetőségét fedezték fel, amiket kihasználva támadók cross-site scripting és cross-site request forgery támadást indíthatnak, vagy föltörhetik a felhasználó rendszerét.
  1. A kiszolgált PDF fájlnak átadott bemenetet nem kezeli megfelelően a böngésző beépülő modul. Ezt kihasználva memória kezelési hiba okozható és tetszőleges kód futtatása válhat lehetségessé.

    példa:
    http://[host]/[filename].pdf#[some text]=javascript:document.write(‘[string including some “.” characters]’);

  2. A kiszolgált PDF fájlnak átadott bemenetet nem tisztítja meg kellően a böngésző beépülő modul mielőtt visszakerülne a felhasználóhoz. Ez kihasználható tetszőleges script kód futtatására a felhasználó böngészőjének munkamenetében az érintett oldallal kapcsolatosan.

    példa:
    http://[host]/[filename].pdf#[some text]=javascript:[code]

  3. A kiszolgált PDF fájlnak átadott bemenetet nem tisztítja meg kellően a böngésző beépülő modul. Ezt kihasználva tetszőleges URL kérhető, ami cross-site request forgery támadást tesz lehetővé.

    példa:
    http://[host]/[filename].pdf#[some text]=[site]

    Sok “#” karakter küldésével a böngésző is megbénítható.
A sebezhetőségeket Windwos rendszereken, az Internet Explorer 6 esetén az Adobe Reader 6.0.1., Firefox 2.0.0.1 esetén a 7.0.8. verziójában jelentették.
Jelentések szerint a következő termékek is érintettek:
  • Adobe Acrobat 3D
  • Adobe Acrobat Standard, Professional, és Elements 7.0.8. és azelőtti verziói
  • Adobe Reader 7.0.8. és azelőtti verziói

Megoldás

Frissítsen a legújabb verzióra